<?php

namespace MMO\HideIpSuperAdmin\XF\ControllerPlugin;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Reply\View;

class Ip extends XFCP_Ip
{
    public function actionIp(Entity $content, array $breadcrumbs = [], $options = [])
    {
        $reply = parent::actionIp($content, $breadcrumbs, $options);

        if ($reply instanceof View)
        {
            $ip = $reply->getParam('ip');
            $superAdmins = explode(',', \XF::options()->mhisaSuperAdminNames);
            $superAdmins = array_map('trim', $superAdmins);

            foreach ($superAdmins AS $key => $superAdmin)
            {
                if ($superAdmin === '')
                {
                    unset($superAdmins[$key]);
                }
            }

            if (\XF::options()->mhisaHideIp)
            {
                if (in_array($ip['User']['username'], $superAdmins) && \XF::visitor()->user_id != $ip['User']['user_id'])
                {
                    return $this->error(\XF::phrase('no_ip_information_available'));
                }
            }
        }

        return $reply;
    }
}