<?php

namespace MMO\HideIpSuperAdmin\XF\Pub\Controller;

use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\View;

class Member extends XFCP_Member
{
    public function actionUserIps(ParameterBag $params)
    {
        $reply = parent::actionUserIps($params);

        if ($reply instanceof View)
        {
            $options = $this->app()->options();
            $user = $reply->getParam('user');
            $superAdmins = explode(',', $options->mhisaSuperAdminNames);
            $superAdmins = array_map('trim', $superAdmins);

            foreach ($superAdmins AS $key => $superAdmin)
            {
                if ($superAdmin === '')
                {
                    unset($superAdmins[$key]);
                }
            }

            if (!empty($user) && $options->mhisaHideIp)
            {
                if (in_array($user['username'], $superAdmins) && \XF::visitor()->user_id != $user['user_id'])
                {
                    return $this->noPermission();
                }
            }
        }

        return $reply;
    }

    public function actionSharedIps(ParameterBag $params)
    {
        $reply = parent::actionSharedIps($params);

        if ($reply instanceof View)
        {
            $options = $this->app()->options();
            $user = $reply->getParam('user');
            $superAdmins = explode(',', $options->mhisaSuperAdminNames);
            $superAdmins = array_map('trim', $superAdmins);

            foreach ($superAdmins AS $key => $superAdmin)
            {
                if ($superAdmin === '')
                {
                    unset($superAdmins[$key]);
                }
            }

            if (!empty($user) && $options->mhisaHideIp)
            {
                if (in_array($user['username'], $superAdmins) && \XF::visitor()->user_id != $user['user_id'])
                {
                    return $this->noPermission();
                }
            }
        }

        return $reply;
    }
}