<?php

namespace MMO\HideIpSuperAdmin\XF\Pub\Controller;

use XF\Mvc\Reply\View;

class Online extends XFCP_Online
{
    public function actionIndex()
    {
        $reply = parent::actionIndex();

        if ($reply instanceof View)
        {
            $options = $this->app()->options();

            $activities = $reply->getParam('activities');
            $superAdmins = explode(',', $options->mhisaSuperAdminNames);
            $superAdmins = array_map('trim', $superAdmins);

            foreach ($superAdmins AS $key => $superAdmin)
            {
                if ($superAdmin === '')
                {
                    unset($superAdmins[$key]);
                }
            }

            foreach ($activities as $activity)
            {
                if(in_array($activity['User']['username'], $superAdmins) && \XF::visitor()->user_id != $activity['user_id'])
                {
                    $activity['ip'] = '2130706433';
                }
            }
        }

        return $reply;
    }

    public function actionUserIp()
    {
        $options = $this->app()->options();

        $user = $this->em()->find('XF:User', $this->filter('user_id', 'uint'), ['Activity']);
        $superAdmins = explode(',', $options->mhisaSuperAdminNames);
        $superAdmins = array_map('trim', $superAdmins);

        foreach ($superAdmins AS $key => $superAdmin)
        {
            if ($superAdmin === '')
            {
                unset($superAdmins[$key]);
            }
        }

        if($options->mhisaHideIp)
        {
            if(in_array($user['username'], $superAdmins) && \XF::visitor()->user_id != $user['user_id'])
            {
                return $this->error(\XF::phrase('no_ip_information_available'));
            }
        }

        return parent::actionUserIp();
    }
}